
# lemon

![preview](https://raw.githubusercontent.com/cmvnd/fonts/master/previews/preview1.png)

The flagship font. Improved version of artwiz-lime with better kerning, distinct characters, extended unicode support, Powerline compatibility, and in-built icon characters. The icons begin at U+E000; see picture below.

Fully supported unicode blocks include:
* Basic Latin
* Latin-1 Supplement
* Latin Extended-A
* Latin Extended-B
* Latin Additional Extended
* Greek and Coptic
* Cyrillic
* IPA Extensions
* General Punctuation
* Superscripts and Subscripts
* Mathematical Operators
* Geometric Shapes
* Currency Symbols
* Arrows

Partially supported blocks include, among others:
* Miscellaneous Technical
* Enclosed Alphanumerics
* Miscellaneous Symbols
* Dingbats


## Additional previews

### Latin character support
![preview](https://raw.githubusercontent.com/cmvnd/fonts/master/previews/preview2.png)

### Greek and Cyrillic support
![preview](https://raw.githubusercontent.com/cmvnd/fonts/master/previews/preview3.png)

### Icons

![preview](https://raw.githubusercontent.com/cmvnd/fonts/master/previews/icons.png)

# Other fonts

### antidote
artwiz-cure mod with lemon-like characters.

![preview](https://raw.githubusercontent.com/cmvnd/fonts/master/previews/antidote.png)

### uushi
monaco mod.

![preview](https://raw.githubusercontent.com/cmvnd/fonts/master/previews/uushi.png)

## spectrum-fonts
Fonts made by [spectrum](https://github.com/speccy), who has been inactive for many years. As they have been all but lost to time, I am including them here to ensure their preservation.

### limey
artwiz-lime mod that served as the basis for lemon.

![preview](https://raw.githubusercontent.com/cmvnd/fonts/master/previews/limey.png)

### berry
monaco mod.

![preview](https://raw.githubusercontent.com/cmvnd/fonts/master/previews/berry.png)

# Installation

Run the install script provided.

# To-do list

### lemon:
- [ ] Add full support for the listed character blocks
  - [x] Latin Additional Extended
  - [x] Greek and Coptic
  - [x] Cyrillic
  - [x] Currency Symbols
  - [x] Arrows
  - [ ] Letterlike Symbols
  - [ ] Miscellaneous Technical
  - [ ] Enclosed Alphanumerics
  - [ ] Miscellaneous Symbols
  - [ ] Dingbats
  - [x] Braille
  - [x] Box Drawings
- [ ] Add proper names to each glyph
- [ ] Adjust icons to support Nerd Fonts -- only if requested

### General:
- [ ] Create an up-to-date .ttf for all fonts; the [currently available lemon.ttf](https://github.com/fennerm/artwiz-lemon-ttf) is out-of date
- [ ] Create "fancy" preview à la [Cozette](https://github.com/slavfox/Cozette)
- [x] Include previews of antidote, uushi, limey, and berry
- [ ] Include character dump file
- [ ] Ensure consistency in cannibalized characters

# Credits

This project would not exist without lucy's [tewi](https://github.com/lucy/tewi-font), spectrum's fonts, and the [artwiz fonts](http://artwizaleczapka.sourceforge.net/).
